EDIT - bug #10089

Order TypeDesignationSetContainer by status type
07/12/2022 08:13 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 80%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

Currently it is first ordered by base entity (e.g. field unit) alphabetically and only within TypeDesignationWorkingSet ordered by type

status.

Related issues:

Related to EDIT - feature request #7696: use compact type representations

in ... Resolved

Associated revisions

Revision 3fb08830 - 07/12/2022 08:13 PM - Andreas Miiller

ref #10089 remove TypedEntityReference from TypeDesignationWorkingSet

Revision d7160e6b - 07/12/2022 08:15 PM - Andreas Muller

ref #10089 remove TypedEntityReference from TypeDesignationWorkingSet in vaadin

Revision 262c0177 - 07/12/2022 08:52 PM - Andreas Miiller

ref #10089 rename TypeDesignationWorkingSet to TypeDesignationSet in cdmlib

Revision d9a042e5 - 07/12/2022 08:54 PM - Andreas Miiller

ref #10089 rename TypeDesignationWorkingSet to TypeDesignationSet in vaadin

Revision 50778c94 - 07/12/2022 09:14 PM - Andreas Miiller

ref #10089 rename TypeDesignationSetManager to TypeDesignationSetContainer in cdmlib

Revision 45356185 - 07/12/2022 10:50 PM - Andreas Miiller

ref #10089 implement TypeDesignationSetContainer ordered by status not field unit

Revision 7af46cd8 - 07/13/2022 12:34 AM - Andreas Miiller

fix #10089 final fixes for TypeDesignationSet formatting ordered by type status

Revision 046d6228 - 07/13/2022 12:44 AM - Andreas Muller

fix #10089 final fixes for TypeDesignationSet formatting ordered by type status (cont.)

Revision 2efce339 - 07/13/2022 08:02 PM - Andreas Miiller
ref #10090, ref #10089 try to avoid LIE in TypeDesignationSet

Revision 54143f9a - 07/13/2022 11:28 PM - Andreas Miiller
ref #10089 adapt json mapping to new TypeDesignationSet handling

Revision cf58d709 - 07/14/2022 12:41 AM - Andreas Miiller
ref #10089 rename TypeDesignationWorkingSet in dataportal

Revision 25b120ed - 07/14/2022 12:44 AM - Andreas Miiller

ref #10089 handle RegistrationDTO with TypedEntityReference again in cdmlib
Revision 2de2cf10 - 07/14/2022 12:45 AM - Andreas Miiller
ref #10089 handle RegistrationDTO with TypedEntityReference again in vaadin

Revision 1e4c¢68b2 - 07/14/2022 08:40 AM - Andreas Miiller

ref #10089 handle null values for map and type designation value processor

Revision fdbd1a3a - 07/14/2022 09:36 AM - Andreas Miiller

ref #10089 return JSONNull for null values in type designation value processor

Revision b559f0f9 - 07/14/2022 10:07 AM - Andreas Miiller
ref #10089 adapt json mapping to new TypeDesignationSet handling (cont.)

History

#1 - 07/13/2022 12:34 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset cdmlib|7af46cd80139907{3c80f4ee1ad644a0260c7b18.

#2 - 07/13/2022 12:37 AM - Andreas Miiller
- Subject changed from Order TypeDesignationWorkingSetManager by status type to Order TypeDesignationSetContainer by status type

#3 - 07/21/2022 06:59 PM - Andreas Miiller
- Priority changed from New to Priority14

#4 - 08/02/2022 03:22 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 70 to 80

Asked WGB for testing (2022-08-02).

Katja, can you please review?

#5 - 08/02/2022 03:26 PM - Andreas Miiller

- Related to feature request #7696: use compact type representations in the synonymy as provided by the typedesignations/by Taxon/{taxon_uuid}
service added

#6 - 08/02/2022 03:27 PM - Andreas Miuller

Only implemented for cdmlight. Data portal does not use the TypeDesignationSetContainer yet.

#7 - 08/24/2022 02:31 PM - Katja Luther
- File types.png added

mail WB:

Hallo,

das Type Statement in der HomotypicGroup.csv muss ich fur Publikationen umsortieren. Beispiel:

Achyranthes coynei Santapau in Kew Bull. 3: 488. 1948 ["1949"]. Sec. Santapau (1948)

Type: India, E. Blatter 27553 (paratype: BLAT); India, E. Blatter 27554 (paratype: BLAT); India, E. Blatter 27555 (isoparatype: BLAT); India, H.
Santapau 5945 (paratype: BLAT); India, H. Santapau 5946 (paratype: BLAT); India, H. Santapau 5947 (paratype: BLAT); India, H. Santapau 8649
(paratype: BLAT); India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8071 (isotype: K K000848074); India, Khandala, Western Ghauts, 26
Nov 1945, H. Santapau 8072 (isotype: A A00036932); India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8074 (holotype: BLAT).

Hier misste fur die Publikation folgende Reihenfolge eingehalten werden:

Holo- bzw. Lektotypus (gefolgt von ihren Iso- bzw. Isolecto-Typen) zuerst. In diesem Fall haben die Isotypen allerdings andere Nummern als der
Holotypus, aber die als Isotypus designierten gehéren trotzdem nach dem Holotypus eingeordnet.

Syntypen und ggf. Isosyntypen oder andere Typusbezeichnungen dann danach, bei gleichen Sammler/Sammelnummerstatements immer die Iso-
irgendwastypen nachgestellt.

Auch auf dem Website kommt das genau umgekehrt heraus:
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/7af46cd80139907f3c80f4ee1ad644a0260c7b18

Achyranthes coynel Santapau in Kew Bull. 3: 488. 1948 ["1949"] sec. Santapau 19488
Paratype: India, E. Blatter 27553 (BLAT)
Paratype: India, E. Blatter 27554 (BLAT)
Paratype: India, E. Blatter 27555 (BLAT)
Paratype: India, H. Santapau 5945 (BLAT)
Paratype: India, H. Santapau 5946 (BLAT)
Paratype: India, H. Santapau 5947 (BLAT)
Paratype: India, H. Santapau 8649 (BLAT)
Isotype: India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8071 (K: K000848074)
https://plants.jstor.org/stable/10.5555/al.ap.specimen.k000848074
Isotype: India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8072 (A: A0D036932)
https://plants.jstor.org/stable/10.5555/al.ap.specimen.a00036932
Holotype: India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8074 (BLAT)

Es scheint, dass die Anordnung alphabetisch Sammlername (Nachname?) und Sammelnummer vorliegt.
Herzlichen Gruf3
Walter

#8 - 08/24/2022 02:33 PM - Katja Luther
- File deleted (types.png)

#9 - 08/24/2022 02:34 PM - Katja Luther
- File types.png added

#10 - 08/25/2022 10:08 AM - Katja Luther

Test cdmLight implementation

#11 - 08/25/2022 01:26 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mtiller

Katja Luther wrote in #note-10:

Test cdmLight implementation

In HOmotypicGroup.csv the example above shows now:

India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8074 (holotype: BLAT); India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau
8071 (isotype: K K000848074); India, Khandala, Western Ghauts, 26 Nov 1945, H. Santapau 8072 (isotype: A A00036932); India, E. Blatter 27553
(paratype: BLAT); India, E. Blatter 27554 (paratype: BLAT); India, E. Blatter 27555 (paratype: BLAT); India, H. Santapau 5945 (paratype: BLAT);
India, H. Santapau 5946 (paratype: BLAT); India, H. Santapau 5947 (paratype: BLAT); India, H. Santapau 8649 (paratype: BLAT).

This seems to be correct.

Files

types.png 40 KB 08/24/2022 Katja Luther

04/19/2024 3/3


http://www.tcpdf.org

